Bug 812480 - SELinux is preventing /usr/bin/pulseaudio from using the 'setrlimit' accesses on a process.
SELinux is preventing /usr/bin/pulseaudio from using the 'setrlimit' accesses...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f28351c6d541ecc2879f640b6ce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 16:42 EDT by Keith
Modified: 2012-04-18 19:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-116.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 19:08:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith 2012-04-13 16:42:54 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-5.fc17.x86_64
time:           Fri 13 Apr 2012 02:41:59 PM MDT

description:
:SELinux is preventing /usr/bin/pulseaudio from using the 'setrlimit' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that pulseaudio should be allowed setrlimit access on processes labeled mozilla_plugin_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Objects                 [ process ]
:Source                        pulseaudio
:Source Path                   /usr/bin/pulseaudio
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           pulseaudio-1.1-8.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-5.fc17.x86_64 #1 SMP Tue Apr 10
:                              20:42:28 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fri 13 Apr 2012 02:39:52 PM MDT
:Last Seen                     Fri 13 Apr 2012 02:39:52 PM MDT
:Local ID                      32eb9058-da5d-443f-9ac0-b5e1f390ddf6
:
:Raw Audit Messages
:type=AVC msg=audit(1334349592.557:81): avc:  denied  { setrlimit } for  pid=2284 comm="pulseaudio" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1334349592.557:81): arch=x86_64 syscall=setrlimit success=no exit=EACCES a0=f a1=7fff6ae33040 a2=4116e4 a3=0 items=0 ppid=2283 pid=2284 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=pulseaudio exe=/usr/bin/pulseaudio subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: pulseaudio,mozilla_plugin_t,mozilla_plugin_t,process,setrlimit
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-04-13 16:51:09 EDT
Fixed in selinux-policy-3.10.0-115
Comment 2 Fedora Update System 2012-04-16 17:28:41 EDT
selinux-policy-3.10.0-116.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-116.fc17
Comment 3 Fedora Update System 2012-04-18 19:08:01 EDT
selinux-policy-3.10.0-116.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.